# -*- encoding:utf-8 -*-
import os

# 过滤文件《不需要删除的文件》
filterFiles = [
    "res/import/07/079499991.3e6bc.json",
    "res/import/07/07ce7530a.9dbb3.json",
    "res/import/0d/0d669730c.80827.json",
    "res/import/0e/0e070526b.89fe7.json",
    "res/import/0e/0e467e87b.ad687.json",
    "res/import/0e/0e4bc3b03.ac3f5.json",
    "res/import/11/115286d1-2e10-49ee-aab4-341583f607e8.c6150.json",
    "res/import/43/430eccbf-bf2c-4e6e-8c0c-884bbb487f32.cd592.json",
    "res/import/6c/6c5cf6e1-b044-4eac-9431-835644d57381.92d22.json",
    "res/import/79/79eafaef-b7ef-45d9-9c3f-591dc836fc7a.725ed.json",
    "res/import/0e/0ebcdda8b.9c7d9.json",
    "res/raw-assets/02/0275e94c-56a7-410f-bd1a-fc7483f7d14a.cea68.png",
    "res/raw-assets/7b/7b291a98-8b9f-4cf5-b1b4-0579947e9ddf.5bdd0.jpg",
    "res/raw-assets/eb/ebe2af8f-62f2-48d7-baf5-1432ec45e780.cad3d.png",
    "res/raw-assets/14/14d840a8-7301-4656-8005-b4955351b55e.4dbe7.png",
    "res/raw-assets/66/66593639-61a9-4f01-b32e-134bc7b9ed84.3642a.png",
    "res/raw-assets/a3/a332dfa2-32ba-4bdf-82df-b14d432849fa.e7fa6.png"
]

def isFilterFile(path):
    for file in filterFiles:
        if file in path:
            return True
    return False

# 执行删除
def del_dir_tree(path):
    if os.path.isfile(path):
        try:
            if not isFilterFile(path):
                os.remove(path)
        except Exception, e:
            # pass
            print e
    elif os.path.isdir(path):
        for item in os.listdir(path):
            item_path = os.path.join(path, item)
            del_dir_tree(item_path)
            if not os.listdir(path):
                os.rmdir(path)
                print "删除空目录：" + path

if __name__ == "__main__":
    dirname = './build/wechatgame/res'
    del_dir_tree(dirname)
